#include <stdio.h>

long long int x1,x2,y1,y2;

int main()
{
    scanf("%lld %lld %lld %lld",&x1,&y1,&x2,&y2);
    if(x1==x2 || y1==y2){
        printf("2");
    }
    else{
        printf("1");
    }
    return 0;
}